--
-- Spezialization um Hilfe ein- bzw. ausblenden zu können
--

T4Menue = {};

function T4Menue.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Motorized, specializations);
end;

function T4Menue:load(xmlFile)
	self.T4Menue = false;
end;

function T4Menue:delete()
end;

function T4Menue:mouseEvent(posX, posY, isDown, isUp, button)
end;

function T4Menue:keyEvent(unicode, sym, modifier, isDown)
end;

function T4Menue:update(dt)
	if self:getIsActiveForInput() then
		if InputBinding.hasEvent(InputBinding.T4Menue) then
			self.T4Menue = not self.T4Menue;
		end;
	end;
end;

function T4Menue:updateTick(dt)
end;

function T4Menue:draw()
	if not self.T4Menue then
		renderText(0.82, 0.26, 0.02, "Num 0: HUD Einschalten");
	else
		renderText(0.82, 0.26, 0.02, "Num 0: HUD Abschalten");
		renderText(0.78, 0.44, 0.02, "Taste KP_1: Blinker Li.");
    	renderText(0.78, 0.42, 0.02, "Taste KP_2: Warnblinker");
    	renderText(0.78, 0.40, 0.02, "Taste KP_3: Blinker Re.");
		renderText(0.78, 0.38, 0.02, "Taste KP_4: Fahrertuer a/z");		
    	renderText(0.78, 0.36, 0.02, "Taste KP_5: Beifahrertuer a/z");		
    	renderText(0.78, 0.34, 0.02, "Taste KP_6: Seitentuer a/z");		
		renderText(0.78, 0.32, 0.02, "Taste KP_7: Heckklappe a/z");
		renderText(0.78, 0.30, 0.02, "Taste f9: Martinshorn an/aus");
	end;
end;

function T4Menue:onLeave()
	self.T4Menue = false;
end;




